//
//  GetSocial
//
//  Copyright © 2017 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>

#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wstrict-prototypes"

#import "Log.h"

#pragma GCC diagnostic pop

#ifndef GetSocialSDK_GetSocialLog_h
#define GetSocialSDK_GetSocialLog_h

#define GSLOG(logLevel, cName, logMessage, ...) \
    ([GetSocialLog logWithLevel:level className:cName methodName:NSStringFromSelector(_cmd) message:logMessage, ##__VA_ARGS__]);
#define GSERROR(logMessage, ...)                                \
    ([GetSocialLog logWithLevel:SHARED_Log_Level_Enum_ERROR     \
                      className:NSStringFromClass([self class]) \
                     methodName:NSStringFromSelector(_cmd)      \
                        message:logMessage, ##__VA_ARGS__]);
#define GSDEBUG(logMessage, ...)                                \
    ([GetSocialLog logWithLevel:SHARED_Log_Level_Enum_DEBUG     \
                      className:NSStringFromClass([self class]) \
                     methodName:NSStringFromSelector(_cmd)      \
                        message:logMessage, ##__VA_ARGS__]);
#define GSINFO(logMessage, ...)                                 \
    ([GetSocialLog logWithLevel:SHARED_Log_Level_Enum_INFO      \
                      className:NSStringFromClass([self class]) \
                     methodName:NSStringFromSelector(_cmd)      \
                        message:logMessage, ##__VA_ARGS__]);
#define GSWARNING(logMessage, ...)                              \
    ([GetSocialLog logWithLevel:SHARED_Log_Level_Enum_WARN      \
                      className:NSStringFromClass([self class]) \
                     methodName:NSStringFromSelector(_cmd)      \
                        message:logMessage, ##__VA_ARGS__]);

#endif

@interface GetSocialLog : NSObject

/**
 *  Creates a log entry with the specified parameters
 *
 *  @param level      log level
 *  @param className  originating class
 *  @param methodName originating method
 *  @param message    log message
 */
+ (void)logWithLevel:(SHARED_Log_Level_Enum)level className:(NSString *)className methodName:(NSString *)methodName message:(NSString *)message, ...;

/**
 *  Creates a log entry with the specified parameters
 *  @param level        log level
 *  @param className    originating class
 *  @param message      log message
 */
+ (void)logWithLevel:(NSNumber *)level className:(NSString *)className message:(NSString *)message;

@end
